#include <iostream>
#include <cstdlib>
using namespace std;

int main()
{
    int x1,x2,y1,y2;
    cin>>x1>>y1;
    cin>>x2>>y2;
    if(x1==x2 || y2==y1)
    {
       cout<<2;
       return 0;
    }
    if (x1==y1 && x2 == y2)
    {
        cout<<1;
        return 0;
    }
   else
    {
        if ( abs(x1-x2) == abs(y1-y2))
            cout<<1;
        else
            cout<<0;
    }
    return 0;
}